
.burger-slider {
    overflow: hidden;
    width: 100%;
    height: 400px;
    position: relative;
}

.burger-slider::after,
.burger-slider::before {

    position: absolute;
    width: 50px;
    height: 100%;
    content: "";
}

.burger-slider::before {
    left: 0;
    top: 0;
    z-index: 2;
}

.burger-slider::after {
    right: 0;
    top: 0;
    transform: rotateZ(180deg);
}

.slider-wrapper {
    height: 100%;
    width: calc(300px*18);
    display: flex;
    animation: slide 35s linear infinite;
}
.slider-wrapper:hover{
animation-play-state: paused;
}

.slide {
    width: 100%;
    height:auto;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    background: #fff;
}

.slide:has(:hover)>.img-container>.burger-info {
    opacity: 1;
}

.img-container {
    width: 80%;
    height: 80%;
    overflow: hidden;
    position: relative;
}
.img-container>h5
{
    text-align: center;
    font-size: 15px;
    font-weight: 600;
}

.burger-image 
{
    object-fit: cover;
    width: 300px;
}

.burger-info {
    opacity: 0;
    position: absolute;
    top: 0;
    background-color: white;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 15px;
    transition: all 500ms ease;
    font-size: 20px;
    color: #000;
}

.burger-title {
    font-weight: 500;
    text-align: center;
}

.burger-description {
    font-size: 12px;
    text-align: center;
}

.add-to-cart {
    width: 70%;
    height: 40px;
    border: none;
    background: #f24825;
    color: #f6f2ef;
    font-weight: 700;
    text-transform: uppercase;
    transition: transform 500ms ease;
    cursor: pointer;

    &:hover {
        transform: scale(1.1)
    }
}

@keyframes slide {
    0% {
        transform: translateX(0)
    }

    100% {
        transform: translateX(calc(-300px*9))
    }
}